package com.ruoyi.mall.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.mall.domain.MallGoodsGoods;
import com.ruoyi.mall.domain.MallImg;
import org.apache.ibatis.annotations.Param;

/**
 * 图片Mapper接口
 *
 * @author chang
 * @date 2021-11-25
 */
public interface MallImgMapper
{
    /**
     * 查询图片
     *
     * @param id 图片主键
     * @return 图片
     */
    public MallImg selectMallImgById(Long id);

    /**
     * 查询图片列表
     *
     * @param mallImg 图片
     * @return 图片集合
     */
    public List<MallImg> selectMallImgList(MallImg mallImg);

    /**
     * 新增图片
     *
     * @param mallImg 图片
     * @return 结果
     */
    public int insertMallImg(MallImg mallImg);

    /**
     * 修改图片
     *
     * @param mallImg 图片
     * @return 结果
     */
    public int updateMallImg(MallImg mallImg);

    /**
     * 删除图片
     *
     * @param id 图片主键
     * @return 结果
     */
    public int deleteMallImgById(Long id);

    /**
     * 批量删除图片
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallImgByIds(Long[] ids);

    public List<String> selectMallImgUrlVoList(MallImg mallImg);

    public void deleteMallImgByImgVO(MallImg deleteImgVO);

    /**
     * 批量删除图片信息
     *
     * @param list 商品列表
     * @return 结果
     */
    public int batchDeleteMallImgByResId(@Param("list") List<MallGoodsGoods> list);

    /**
     * 批量新增图片信息
     *
     * @param list 图片列表
     * @return 结果
     */
    public int batchInsertMallImgByList(@Param("list") List<MallImg> list);
}
